> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Get Channel

GET https://api.bigcommerce.com/stores/{store_hash}/v3/channels/{channel_id}

Returns a *Channel*. Channel ID `1` returns the default BigCommerce storefront.

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/admin/management/channels/get-channel

## Authentication

- `X-Auth-Token` header (required) — ### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Channel Listings | modify | `store_channel_listings` | | Channel Listings | read-only | `store_channel_listings_read_only` | | Channel Settings | modify | `store_channel_settings` | | Channel Settings | read-only | `store_channel_settings_read_only` | | Sites & Routes | modify | `store_sites` | | Sites & Routes | read-only | `store_sites_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

## Request

### Path parameters

- `channel_id` (long, required) — The ID of a channel.
- `store_hash` (string, required) — Permanent ID of the BigCommerce store.

### Query parameters

- `include` (enum, optional) — Channels subresources that can be included in the response.
  - Allowed values: `currencies`

### Headers

- `Accept` (string, required, default: application/json) — The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

## Response

### 200

The requested channel, including its currency assignments.

- `data` (ChannelWithCurrencies, optional)
- `meta` (EmptyMeta, optional) — Response metadata.

## Errors

### 404 Not Found Error

A *Channel* with the provided ID was not found.

- `status` (integer, optional) — The HTTP status code for the error.
- `title` (string, optional) — The error title describing the particular error.
- `type` (string, optional) — The error type.
- `errors` (ErrorDetail, optional) — Error detail response payload for the BigCommerce API.

## Types

### ChannelWithCurrencies

- `id` (long, optional) — The ID of the channel.
- `external_id` (string, optional) — Associated ID within a system / platform outside of BC.
- `is_listable_from_ui` (boolean, optional) — Indicates if a channel can create listings from the BigCommerce UI. Default value for this field is based on the channel type and platform combination if not specified on create.
- `is_visible` (boolean, optional) — Indicates if a channel is visible in the BigCommerce control panel. If `false`, the channel will not show in Channel Manager or in channels dropdowns elsewhere in the UI. Default value for this field is `true` if not specified on create.
- `status` (enum, optional) — The status of the channel; channel `type`, `platform`, and `status` must be a [valid combination](/developer/api-reference/rest/admin/management/channels#status). `terminated` is not valid for `PUT` or `POST` requests. `deleted` is not valid for `POST` requests. `prelaunch` is not valid for `PUT` requests.
  - Allowed values: `active`, `prelaunch`, `inactive`, `connected`, `disconnected`, `archived`, `deleted`, `terminated`
- `name` (string, optional) — Name of the channel as it will appear in the store control panel. The only characters it can include are Latin alphabet letters, Arabic numerals, dashes, and underscores.
- `type` (enum, optional) — The type of channel; channel `platform` and `type` must be a [valid combination](/developer/api-reference/rest/admin/management/channels#status).
  - Allowed values: `pos`, `marketplace`, `storefront`, `marketing`
- `platform` (string, optional) — The name of the platform for the channel; channel `platform` and `type` must be a [valid combination](/developer/api-reference/rest/admin/management/channels#status).
- `date_created` (datetime, optional) — Date on which the channel was first created.
- `date_modified` (datetime, optional) — Date on which the channel was most recently changed.
- `icon_url` (string, optional) — Link to the platform icon.
- `currencies` (CurrencyNotRequiredWithChannelId, optional) — Details about currency assignments for a specific channel.
- `is_enabled` (boolean, optional, deprecated) — This deprecated field was originally used to enable or disable a channel. Use the `status` field instead of `is_enabled`. If the channel status is `prelaunch`, `active`, or `connected`, then `is_enabled` will be `true`. If the status is `inactive`, `disconnected`, `archived`, `deleted`, or `terminated`, then `is_enabled` will be `false`.

### EmptyMeta

Response metadata.

### ErrorDetail

Error detail response payload for the BigCommerce API.

### CurrencyNotRequiredWithChannelId

Details about currency assignments for a specific channel.

- `channel_id` (long, optional) — The ID of the channel.
- `enabled_currencies` (list of string, optional) — Currencies that are enabled for the specified channel in [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) three character alphabetic format.
- `default_currency` (string, optional) — Default currency for the channel in [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) three character alphabetic format. Will be used on storefront when other currencies cannot.

## Examples

**Response**

```json
{
  "data": {
    "id": 667159,
    "external_id": "",
    "is_listable_from_ui": false,
    "is_visible": true,
    "status": "connected",
    "name": "Facebook by Meta",
    "type": "marketplace",
    "platform": "facebook by meta",
    "date_created": "2021-05-13T15:41:39Z",
    "date_modified": "2021-05-13T15:41:39Z",
    "icon_url": "https://storage.googleapis.com/bigcommerce-production-dev-center/images/facebook_icon.svg",
    "currencies": {
      "channel_id": 667159,
      "enabled_currencies": [
        "USD"
      ],
      "default_currency": "USD"
    }
  },
  "meta": {}
}
```

**SDK Code**

```python Channel
import requests

url = "https://api.bigcommerce.com/stores/store_hash/v3/channels/1"

headers = {
    "Accept": "application/json",
    "X-Auth-Token": "<apiKey>"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Channel
const url = 'https://api.bigcommerce.com/stores/store_hash/v3/channels/1';
const options = {
  method: 'GET',
  headers: {Accept: 'application/json', 'X-Auth-Token': '<apiKey>'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Channel
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/stores/store_hash/v3/channels/1"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Accept", "application/json")
	req.Header.Add("X-Auth-Token", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Channel
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/stores/store_hash/v3/channels/1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Accept"] = 'application/json'
request["X-Auth-Token"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Channel
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.bigcommerce.com/stores/store_hash/v3/channels/1")
  .header("Accept", "application/json")
  .header("X-Auth-Token", "<apiKey>")
  .asString();
```

```php Channel
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.bigcommerce.com/stores/store_hash/v3/channels/1', [
  'headers' => [
    'Accept' => 'application/json',
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Channel
using RestSharp;

var client = new RestClient("https://api.bigcommerce.com/stores/store_hash/v3/channels/1");
var request = new RestRequest(Method.GET);
request.AddHeader("Accept", "application/json");
request.AddHeader("X-Auth-Token", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Channel
import Foundation

let headers = [
  "Accept": "application/json",
  "X-Auth-Token": "<apiKey>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.bigcommerce.com/stores/store_hash/v3/channels/1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```